/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

html {
  scroll-behavior: smooth !important;
}

.post-header h1{
color: #fff;
text-shadow: var(--contrast) 0 0 10px;
	border-right-width: 10px;
    border-right-style: solid;
padding-right: 30px;
}

.entry-meta{
	display: none;
}

.highlight{
  --s: 50px; /* control the size */
  --c1: #fff;
  --c2: #fff3d4;
  --_g:radial-gradient(#0000 60%,var(--c1) 61% 63%,#0000 64% 77%,var(--c1) 78% 80%,#0000 81%);
  --_c:,#0000 75%,var(--c2) 0;
  background:
    conic-gradient(at 12% 20% var(--_c)) calc(var(--s)* .44) calc(.9*var(--s)),
    conic-gradient(at 12% 20% var(--_c)) calc(var(--s)*-.06) calc(.4*var(--s)),
    conic-gradient(at 20% 12% var(--_c)) calc(.9*var(--s)) calc(var(--s)* .44),
    conic-gradient(at 20% 12% var(--_c)) calc(.4*var(--s)) calc(var(--s)*-.06),
    var(--_g),var(--_g) calc(var(--s)/2) calc(var(--s)/2) var(--c2);
  background-size: var(--s) var(--s);
	border-radius: 3px;
}

.highlight a{
color: #000 !important;
}

.sticky-navigation-logo{
	max-width: 175px;
}

.main-navigation:not(#sticky-navigation){
	padding: 20px 0 0 0;
}

.wp-block-gallery figure a img{
	box-shadow: 5px 5px 10px rgba(0,0,0,0.1);;
}

@media screen and (min-width: 1024px) {
	.wp-element-caption{
		font-size: 20px !important;
		padding: 5px 0 0 0 !important;
		text-shadow: 2px 2px 2px #000;
	}
	
}

.pattern{
  --s: 50px; /* control the size */
  --c1: #fff;
  --c2: #fff3d4;
  --_g:radial-gradient(#0000 60%,var(--c1) 61% 63%,#0000 64% 77%,var(--c1) 78% 80%,#0000 81%);
  --_c:,#0000 75%,var(--c2) 0;
  background:
    conic-gradient(at 12% 20% var(--_c)) calc(var(--s)* .44) calc(.9*var(--s)),
    conic-gradient(at 12% 20% var(--_c)) calc(var(--s)*-.06) calc(.4*var(--s)),
    conic-gradient(at 20% 12% var(--_c)) calc(.9*var(--s)) calc(var(--s)* .44),
    conic-gradient(at 20% 12% var(--_c)) calc(.4*var(--s)) calc(var(--s)*-.06),
    var(--_g),var(--_g) calc(var(--s)/2) calc(var(--s)/2) var(--c2);
  background-size: var(--s) var(--s);
}

.patternblack{
  --s: 50px; /* control the size */
  --c1: #666;
  --c2: #333;
  --_g:radial-gradient(#0000 60%,var(--c1) 61% 63%,#0000 64% 77%,var(--c1) 78% 80%,#0000 81%);
  --_c:,#0000 75%,var(--c2) 0;
  background:
    conic-gradient(at 12% 20% var(--_c)) calc(var(--s)* .44) calc(.9*var(--s)),
    conic-gradient(at 12% 20% var(--_c)) calc(var(--s)*-.06) calc(.4*var(--s)),
    conic-gradient(at 20% 12% var(--_c)) calc(.9*var(--s)) calc(var(--s)* .44),
    conic-gradient(at 20% 12% var(--_c)) calc(.4*var(--s)) calc(var(--s)*-.06),
    var(--_g),var(--_g) calc(var(--s)/2) calc(var(--s)/2) var(--c2);
  background-size: var(--s) var(--s);
}

.patternblack:hover{
  --s: 50px; /* control the size */
  --c1: #333;
  --c2: #666;
  --_g:radial-gradient(#0000 60%,var(--c1) 61% 63%,#0000 64% 77%,var(--c1) 78% 80%,#0000 81%);
  --_c:,#0000 75%,var(--c2) 0;
  background:
    conic-gradient(at 12% 20% var(--_c)) calc(var(--s)* .44) calc(.9*var(--s)),
    conic-gradient(at 12% 20% var(--_c)) calc(var(--s)*-.06) calc(.4*var(--s)),
    conic-gradient(at 20% 12% var(--_c)) calc(.9*var(--s)) calc(var(--s)* .44),
    conic-gradient(at 20% 12% var(--_c)) calc(.4*var(--s)) calc(var(--s)*-.06),
    var(--_g),var(--_g) calc(var(--s)/2) calc(var(--s)/2) var(--c2);
  background-size: var(--s) var(--s);
}


.pattern1{
  --s: 20px; /* control the size */
  --c1: #fff;
  --c2: #fff3d4;
  
  --_g: var(--c1)        6.25%,var(--c2)  6.3% 18.75%,var(--c1) 18.8% 31.25%,
        var(--c2) 31.3% 43.75%,var(--c1) 43.8% 56.25%,var(--c2) 56.3% 68.75%,#0000 0;
  background:
    radial-gradient(var(--s) at 100% 0   ,var(--_g)),
    radial-gradient(var(--s) at 0    0   ,var(--_g)),
    radial-gradient(var(--s) at 0    100%,var(--_g)),
    radial-gradient(var(--s) at 100% 100%,var(--_g)) var(--c1);
  background-size: var(--s) var(--s);

}

table, td, th {
    border: 1px solid;
	border-color: var(--base) !important;
}

.book-now{
	text-align: center;
}

@media only screen and (max-width: 1000px) {
	.wpcf7-form p{
		text-align: center !important;
	}
}

.wpcf7 input{
	margin-bottom: 20px;
}

.wpcf7 label{
	min-width: 200px;
}

.wpcf7 .wpcf7-date, .wpcf7 .wpcf7-email, .wpcf7 .wpcf7-text{
	color: var(--contrast);
    background-color: var(--base-3);
    border: 1px solid var(--base);
	padding: 10px 15px;
	transition: background 0.3s ease !important;
}

.wpcf7 .wpcf7-date:focus{
    background-color: var(--base-2);
}

.wpcf7 input{
	border: none;
	background: #fff;
	padding: 5px;
	margin: 5px;
}

.wpcf7-submit{
	border: none;
	background: #c5a880 !important;
	color: #fff;
	font-weight: bold;
	padding: 10px 15px !important;
	margin: 5px;
}

.wpcf7-not-valid-tip{
	display: inline-block;
	font-size: 60%;
	margin: 0;
	padding: 5px;
	background: #ffc0cb;
	color: #8b0000;
	font-weight: bold;
	border-radius: 3px;
}

.current-menu-item a{
	cursor: default !important;
	text-decoration: underline;
}

.booking .wpcf7-email{
	max-width: 350px;
}

:root {
  --star-size: 30px;
  --star-color: #fff;
  --star-background: #c5a880;
}

.Stars {
  --percent: calc(var(--rating) / 5 * 100%);
  text-align: center;
  display: inline !important;
  font-size: var(--star-size);
  font-family: Times;
  line-height: 1;
  width: 200px;
  
  &::before {
    content: '★★★★★';
    letter-spacing: 3px;
    background: linear-gradient(90deg, var(--star-background) var(--percent), var(--star-color) var(--percent));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
  }
}